Gtk2::Curve(3)

NAME
Gtk2::Curve - wrapper for GtkCurve

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::DrawingArea
                      +----Gtk2::Curve

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::Curve->new

  $curve->set_curve_type ($type)

•   $type (Gtk2::CurveType)

  $curve->set_gamma ($gamma)

•   $gamma (double)

  $curve->set_range ($min_x, $max_x, $min_y, $max_y)

•   $min_x (double)

•   $max_x (double)

•   $min_y (double)

•   $max_y (double)

  $curve->reset

  list = $curve->get_vector ($veclen=32)

•   $veclen (integer)

Returns a list of real numbers, the curve's vector.

  $curve->set_vector (...)

•   ... (list) of float's, the points of the curve

PROPERTIES

'curve-type' (Gtk2::CurveType : default "spline" : readable / writable / private / static-nick / static-blurb)
    Is this curve linear, spline interpolated, or free-form

'max-x' (float : default 1 : readable / writable / private / static-nick / static-blurb)
    Maximum possible X value

'max-y' (float : default 1 : readable / writable / private / static-nick / static-blurb)
    Maximum possible value for Y

'min-x' (float : default 0 : readable / writable / private / static-nick / static-blurb)
    Minimum possible value for X

'min-y' (float : default 0 : readable / writable / private / static-nick / static-blurb)
    Minimum possible value for Y

SIGNALS

curve-type-changed (Gtk2::Curve)

ENUMS AND FLAGS

  enum Gtk2::CurveType
•   'linear' / 'GTK_CURVE_TYPE_LINEAR'

•   'spline' / 'GTK_CURVE_TYPE_SPLINE'

•   'free' / 'GTK_CURVE_TYPE_FREE'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::DrawingArea

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.